---
updatedAt: 2026-05-12T16:27:44.000Z
agentTools:
  projectIndex: https://docs.usecanopy.com/llms.txt
---

# POST /teams

Used to provision a team

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "API Reference",
    "version": "1.0.0",
    "description": "Canopy Connect Public API Documentation",
    "contact": {
      "name": "Canopy Connect",
      "email": "support@usecanopy.com",
      "url": "https://usecanopy.com/"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    }
  },
  "servers": [
    {
      "url": "https://app.usecanopy.com/api/v1.0.0"
    }
  ],
  "components": {
    "securitySchemes": {
      "BasicAuth": {
        "type": "http",
        "scheme": "basic",
        "description": "HTTP Basic authentication. Use your Canopy Connect Client ID as the username and your Client Secret as the password. The `Authorization` header value is `Basic <base64 of clientId:clientSecret>`. See the [Authentication guide](https://docs.usecanopy.com/reference/authentication-guide) for a full walkthrough, and create or manage your Client ID and Client Secret on the [API Settings page](https://app.usecanopy.com/dashboard/settings/api-settings)."
      }
    }
  },
  "security": [
    {
      "BasicAuth": []
    }
  ],
  "tags": [
    {
      "name": "Teams API",
      "description": "Get, create, delete Teams"
    }
  ],
  "paths": {
    "/teams": {
      "post": {
        "summary": "POST /teams",
        "tags": [
          "Teams API"
        ],
        "responses": {
          "200": {
            "description": "200 Response Schema",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "client_id": {
                      "type": "string",
                      "description": "API client ID for the Team created"
                    },
                    "client_secret": {
                      "type": "string",
                      "description": "API client secret for the Team created"
                    },
                    "team": {
                      "type": "object",
                      "properties": {
                        "team_id": {
                          "type": "string",
                          "description": "ID of the Team created"
                        },
                        "company_name": {
                          "type": "string",
                          "description": "Company name for the Team created"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "403 Response Schema",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "enum": [
                        "FORBIDDEN"
                      ]
                    }
                  }
                }
              }
            }
          }
        },
        "operationId": "create-team",
        "description": "Used to provision a team",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "company_name": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 255
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  }
}
```